<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1 plus MathML 2.0//EN" "http://www.w3.org/Math/DTD/mathml2/xhtml-math11-f.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><!--This file was converted to xhtml by LibreOffice - see http://cgit.freedesktop.org/libreoffice/core/tree/filter/source/xslt for the code.--><head profile="http://dublincore.org/documents/dcmi-terms/"><meta http-equiv="Content-Type" content="application/xhtml+xml; charset=utf-8"/><title xml:lang="en-US">INSTITUT DES CARRIERES COMMERCIALES</title><meta name="DCTERMS.title" content="INSTITUT DES CARRIERES COMMERCIALES" xml:lang="en-US"/><meta name="DCTERMS.language" content="en-US" scheme="DCTERMS.RFC4646"/><meta name="DCTERMS.source" content="http://xml.openoffice.org/odf2xhtml"/><meta name="DCTERMS.creator" content="dominique"/><meta name="DCTERMS.issued" content="2017-04-25T16:38:00" scheme="DCTERMS.W3CDTF"/><meta name="DCTERMS.contributor" content="S08_ICC"/><meta name="DCTERMS.modified" content="2017-04-25T16:38:00" scheme="DCTERMS.W3CDTF"/><meta name="DCTERMS.provenance" content="" xml:lang="en-US"/><meta name="DCTERMS.subject" content="," xml:lang="en-US"/><link rel="schema.DC" href="http://purl.org/dc/elements/1.1/" hreflang="en"/><link rel="schema.DCTERMS" href="http://purl.org/dc/terms/" hreflang="en"/><link rel="schema.DCTYPE" href="http://purl.org/dc/dcmitype/" hreflang="en"/><link rel="schema.DCAM" href="http://purl.org/dc/dcam/" hreflang="en"/><style type="text/css">
<!-- Instructions --> 
@page {  }
	table { border-collapse:collapse; border-spacing:0; empty-cells:show }
	td, th { vertical-align:top; font-size:12pt;}
	h1, h2, h3, h4, h5, h6 { clear:both }
	ol, ul { margin:0; padding:0;}
	li { list-style: none; margin:0; padding:0;}
	<!-- "li span.odfLiEnd" - IE 7 issue-->
	li span. { clear: both; line-height:0; width:0; height:0; margin:0; padding:0; }
	span.footnodeNumber { padding-right:1em; }
	span.annotation_style_by_filter { font-size:95%; font-family:Arial; background-color:#fff000;  margin:0; border:0; padding:0;  }
	* { margin:0;}
	.P1 { font-size:12pt; text-align:left ! important; font-family:Times New Roman; writing-mode:lr-tb; }
	.P2 { font-size:12pt; text-align:left ! important; font-family:Times New Roman; writing-mode:lr-tb; }
	.P3 { font-size:10pt; text-align:left ! important; font-family:Times New Roman; writing-mode:lr-tb; margin-left:0.4917in; margin-right:0in; text-indent:0in; }
	.P4 { font-size:14pt; font-weight:bold; margin-bottom:0.0417in; margin-top:0.1665in; text-align:left ! important; font-family:Arial; writing-mode:lr-tb; }
	.P5_borderStart { font-size:14pt; font-weight:bold; margin-top:0.1665in; text-align:left ! important; font-family:Arial; writing-mode:lr-tb; padding-left:0in; padding-right:0in; padding-top:0in; border-left-style:none; border-right-style:none; border-top-style:none; padding-bottom:0.0417in;  border-bottom-style:none; }
	.P5 { font-size:14pt; font-weight:bold; text-align:left ! important; font-family:Arial; writing-mode:lr-tb; padding-left:0in; padding-right:0in; border-left-style:none; border-right-style:none; padding-bottom:0.0417in; padding-top:0.1665in;  border-top-style:none; border-bottom-style:none; }
	.P5_borderEnd { font-size:14pt; font-weight:bold; margin-bottom:0.0417in; text-align:left ! important; font-family:Arial; writing-mode:lr-tb; padding-left:0in; padding-right:0in; padding-bottom:0.0138in; border-left-style:none; border-right-style:none; border-bottom-width:0,0878cm; border-bottom-style:solid; border-bottom-color:#000001; padding-top:0.1665in;  border-top-style:none;}
	.P6 { font-size:14pt; font-weight:bold; margin-bottom:0.0417in; margin-top:0.1665in; text-align:left ! important; font-family:Arial; writing-mode:lr-tb; }
	.Standard { font-size:10pt; font-family:Times New Roman; writing-mode:lr-tb; text-align:left ! important; }
	.Internet_20_link { color:#000080; text-decoration:underline; }
	.T2 { font-size:12pt; font-weight:bold; }
	.T3 { font-size:12pt; font-weight:bold; }
	.T4 { font-size:12pt; }
	.T5 { font-size:12pt; }
	.T6 { font-size:12pt; text-decoration:underline; }
	.T7 { font-size:14pt; font-weight:bold; }
	<!-- ODF styles with no properties representable as CSS -->
	.Endnote_20_Symbol .Footnote_20_Symbol .T1  { }
	</style></head><body dir="ltr" style="max-width:8.2681in;margin-top:0.6898in; margin-bottom:0.9839in; margin-left:0.9839in; margin-right:0.7866in; "><ol><li><h class="P6" style="margin-left:0cm;"><span style="display:block;float:left;min-width:NaNcm;"><!-- --></span><a id="a__INSTITUT_DES_CARRIERES_COMMERCIALES"><span class="T1">INSTITUT DES CARRIERES COMMERCIALES</span></a><span class="odfLiEnd"/> </h></li><li><h class="P4" style="margin-left:0cm;"><span style="display:block;float:left;min-width:NaNcm;"><!-- --></span><a id="a__BACHELIER_EN_INFORMATIQUE_DE_GESTION"><span class="T1">BACHELIER EN INFORMATIQUE DE GESTION</span></a><span class="odfLiEnd"/> </h></li><li><h class="P4" style="margin-left:0cm;"><span style="display:block;float:left;min-width:NaNcm;"><!-- --></span><a id="a__ANNEE_ACADEMIQUE_2016-2017"><span class="T1">ANNEE ACADEMIQUE 2016-2017</span></a><span class="odfLiEnd"/> </h></li><li><h class="P5" style="margin-left:0cm;"><span style="display:block;float:left;min-width:NaNcm;"><!-- --></span><a id="a__PROJET_DE_DEVELOPPEMENT_WEB __TRAVAIL_DE_FIN_DE_MODULE"><span class="T1">PROJET DE DEVELOPPEMENT  WEB : TRAVAIL DE FIN DE MODULE</span></a><span class="odfLiEnd"/> </h></li></ol><p class="Standard"> </p><p class="Standard"><span class="T2">BUT :</span></p><p class="Standard"> </p><p class="Standard"><span class="T4">Développer, à l'aide du couple PHP-MySQL, une application Web dynamique dont les spécifications détaillées sont définies plus bas.</span></p><p class="Standard"><span class="T4">Ce travail servira de base lors de l'évaluation finale qui consistera en une « défense orale»de celui-ci.</span></p><p class="Standard"><span class="T4">La documentation et les références utiles sont fournies sur la plateforme « Chamilo ».</span></p><p class="Standard"><span class="T4">Des explications complémentaires pour la réalisation du travail seront fournies lors des séances de présences.</span></p><p class="P1"> </p><p class="Standard"><span class="T4">La date limite de remise des fichiers sources est fixée au 13 juin 2017 (31 août pour la deuxième </span><a id="_GoBack"/><span class="T4">session) et ceux-ci pourront me parvenir par mail à l'adresse suivante : </span><a href="mailto:verbistdom@hotmail.com" class="Internet_20_link"><span class="T5">verbistdom@hotmail.com</span></a><span class="T4">.</span></p><p class="P1"> </p><p class="Standard"><span class="T6">ATTENTION</span><span class="T4">, n'oubliez pas de conserver l’arborescence des fichiers transférés qui sera conservée depuis un répertoire portant votre (vos) Nom(s), je dois pouvoir exécuter votre application sur mon serveur web local.</span></p><p class="Standard"><span class="T4">Vous pouvez développer l'application par groupe de 2 à 4 personnes.</span></p><p class="Standard"><span class="T4">La note attribuée à chaque étudiant sera dépendante de la réalisation globale du projet par le groupe ainsi que de la partie réalisée individuellement par chaque étudiant.</span></p><p class="Standard"> </p><p class="Standard"><span class="T7">SERVICES PROPOSES PAR L'APPLICATION :</span></p><p class="Standard"> </p><p class="Standard"><span class="T4">Ceux-ci dépendent du statut de l'utilisateur/visiteur selon qu'il soit utilisateur enregistré ou « membre »(ci-après UM) ou selon qu'il soit utilisateur non enregistré ou « non membre »(ci-après UNM).</span></p><p class="Standard"><span class="T4">Un UM non authentifié/non connecté est assimilé à un UNM</span></p><p class="Standard"><span class="T4">On distingue également l'administrateur du site qui doit avoir accès à des services réservés.</span></p><p class="Standard"> </p><p class="Standard"><span class="T4">Le site propose, de manière générale, un espace accueil, une rubrique mini-chat, une rubrique « Blog/News » du site, un espace de vente de matériels, une rubrique permettant soit à un UM de s'identifier ou modifier des éléments de son « profil », soit à un UNM de s'inscrire.</span></p><p class="Standard"><span class="T4">Le site contiendra également un espace réservé à l'administrateur du site.</span></p><p class="Standard"><span class="T4">Les pages d'accès aux différents services seront accessibles sur chaque page du site sous la forme d'un menu simplifié.</span></p><p class="Standard"><span class="T4">Le seul élément du menu à modifier concerne le lien vers la rubrique « s'inscrire/se connecter » qui sera remplacé par « modifier profil/se déconnecter » dès que l'UM se sera authentifié.</span></p><p class="Standard"> </p><p class="Standard"><span class="T3">        ACCUEIL :</span></p><p class="P1"> </p><p class="Standard"><span class="T4">La page d'accueil est évidemment accessible à tous.</span></p><p class="Standard"><span class="T4">Elle contiendra une description des services fournis en distinguant ceux accessibles aux UM connectés de ceux accessibles aux UNM ou autres utilisateurs assimilés.</span></p><p class="Standard"><span class="T4">Elle contiendra également une zone de saisie d'informations permettant à l'UM de s'identifier et d'ainsi avoir directement accès aux services qui lui sont réservés.</span></p><p class="Standard"><span class="T4">En clair, une zone permettant la vérification d'informations de type login/nom d'utilisateur et mot de passe d'accès.</span></p><p class="Standard"> </p><p class="Standard"><span class="T3">        MINI-CHAT :</span></p><p class="Standard"> </p><p class="Standard"><span class="T4">Les services de l'espace mini-chat sont exclusivement réservés aux UM authentifiés.</span></p><p class="Standard"><span class="T4">Le mini-chat propose une liste des 10 derniers messages postés par les différents UM connectés, accompagnés chacun du pseudo utilisé au choix par chaque UM tout au long de sa connexion.</span></p><p class="Standard"><span class="T4">A vous de limiter la longueur maximale de chaque message pouvant être édité par les UM connectés.</span></p><p class="Standard"> </p><p class="Standard"><span class="T4">L'UNM ou l'UM « non connecté » se verront proposer de s'inscrire comme UM ou de s'authentifier en cas de tentative d'accès à l'espace mini-chat.</span></p><p class="P1"> </p><p class="Standard"><span class="T3">        BLOG/NEWS</span></p><p class="Standard"> </p><p class="Standard"><span class="T4">L'espace blog/news du site contient une série de « billets » (articles) comportant chacun un titre, du texte et un lien vers les commentaires éventuels  liés à chaque billet.</span></p><p class="Standard"> </p><p class="Standard"><span class="T4">Chaque billet ne pourra être édité que par l'administrateur du site.</span></p><p class="Standard"><span class="T4">Tout UM authentifié ou UNM pourra consulter les billets édités ainsi que les commentaires éventuels qui y sont liés.</span></p><p class="Standard"><span class="T4">Par contre la faculté d'ajouter un commentaire ne sera possible que pour l'administrateur ou un UM authentifié.</span></p><p class="Standard"><span class="T4">L'UNM ou l'UM « non connecté » se verront proposer de s'inscrire comme UM ou de s'authentifier en cas de tentative d'édition d'un commentaire.</span></p><p class="Standard"> </p><p class="Standard"><span class="T4">Un moteur de recherche simplifié permettra pour tous les utilisateurs de rechercher et d'afficher les billets dont le titre contient une chaîne de caractères entrée comme critère de recherche.</span></p><p class="Standard"> </p><p class="Standard"><span class="T3">        INSCRIPTION/AUTHENTIFICATION/MODIFICATION DE PROFIL :</span></p><p class="Standard"> </p><p class="Standard"><span class="T4">Cet espace permet à l 'UNM de s'inscrire en tant qu’UM.</span></p><p class="Standard"><span class="T4">Les informations minimales à fournir lors de  l'inscription sont les suivantes : nom, prénom, adresse, code postal, date de naissance, adresse email, pseudo/login utilisé et mot de passe.</span></p><p class="Standard"><span class="T4">L'inscription permet (il ne s'agit pas d'une obligation !) aussi à l'UM de télécharger sur le serveur un fichier image au format « .gif » ou « .jpeg ».</span></p><p class="Standard"><span class="T4">Dans ce cas, l'image téléchargée s'affichera au sein de chaque page consultée par l'UM authentifié.</span></p><p class="Standard"> </p><p class="Standard"><span class="T4">L'UM authentifié possèdera également la faculté de modifier les éléments de son adresse postale, de son adresse email ainsi que son mot de passe d'accès aux services du site.</span></p><p class="Standard"> </p><p class="Standard"><span class="T3">        ACHAT DE MATERIELS :</span></p><p class="Standard"> </p><p class="Standard"><span class="T4">Cet espace permet à tout UM authentifié et à lui seul d'effectuer des achats parmi 3 catégories d'articles : informatique, livre, et hi-fi.</span></p><p class="Standard"><span class="T4">Pour chaque catégorie d'articles 5 ou 6 articles différents de votre choix seront proposés à la vente, chacun avec son prix unitaire.</span></p><p class="P1"> </p><p class="Standard"><span class="T4">La liste des matériels en vente, classée par catégorie avec le prix de chaque article, sera accessible à tout utilisateur, qu'il soit UM authentifié ou non ou UNM.</span></p><p class="Standard"><span class="T4">Un achat ne peut porter qu’au maximum sur 10 articles identiques, le nombre total d'articles différents achetés est libre ainsi que les catégories d’articles.</span></p><p class="Standard"><span class="T4">Les informations concernant le type et la quantité d'articles achetés ainsi que le prix unitaire et le montant total des achats effectués seront mise à jour de manière « instantanée » et seront toujours visibles pour l’utilisateur tout au long du processus.</span></p><p class="Standard"><span class="T4">En d’autres termes un panier mis à jour sera toujours accessible à l’UM durant le processus d’achat.</span></p><p class="Standard"><span class="T5">Tout UM authentifié aura la faculté de consulter la liste des achats qu'il a effectués depuis son inscription en tant qu’UM, ordonnée par date d'achat avec le montant total de chaque achat.</span></p><p class="Standard"><span class="T5">Il pourra également consulter les détails de chaque achat.</span></p><p class="P2"> </p><p class="Standard"><span class="T5"> L'UNM ou l'UM « non connecté » se verra proposer de s'inscrire comme UM ou de s'authentifier en cas de tentative d'achat.</span></p><p class="Standard"><span class="T4"> </span></p><p class="Standard"><span class="T3">        ADMINISTRATION DU SITE :</span></p><p class="P1"> </p><p class="Standard"><span class="T4">Espace uniquement accessible à l'administrateur du site.</span></p><p class="Standard"><span class="T4">Celui-disposera des possibilités suivantes :</span></p><p class="P1"> </p><p class="Standard"><span class="T4">        - participer au mini-chat;</span></p><p class="Standard"><span class="T4">        - éditer de nouveaux billets et des commentaires;</span></p><p class="Standard"><span class="T4">        - consulter les données du profil d'un UM de son choix;</span></p><p class="P3"><span class="T4">- consulter le nombre de « connexions » d'un UM  aujourd'hui ou lors des 7 derniers                                                                                                                                                              jours;</span></p><p class="Standard"><span class="T4">        - consulter la liste des achats effectués par un UM ordonnée par date d’achat, ainsi que                        consulter les détails relatifs à chaque achat;</span></p><p class="Standard"><span class="T4">        - consulter les 5 derniers commentaires édités par un UM dans la section blog/news;</span></p><p class="Standard"><span class="T4">        - ajouter/supprimer un article de l'espace « vente de matériels »;</span></p><p class="Standard"><span class="T4">        - bloquer l'accès aux services réservés à un UM jugé indésirable </span></p><p class="P1"> </p><p class="Standard"><span class="T7">CONSIGNES ET REMARQUES :</span></p><p class="P2"> </p><p class="Standard"><span class="T5">Le style avec lequel les pages sont présentées n'est pas déterminant : il peut rester très « basique », l'aspect fonctionnel est plus important.</span></p><p class="Standard"><span class="T5">Commenter votre programme et choisissez dans la mesure du possible des identificateurs adaptés  aux valeurs manipulées.</span></p><p class="Standard"><span class="T5">Respecter les standards HTML et CSS.</span></p><p class="Standard"><span class="T5">Choisissez un mode d'accès à votre (vos) Base(s) de Données permettant également l'accès éventuels à d'autres SGBDR que MySQL.</span></p><p class="Standard"><span class="T5">Veillez tout particulièrement à l'aspect sécurité dans le développement de votre application.</span></p><p class="Standard"><span class="T5">L’exécution de l’application en elle-même doit être protégée au maximum mais les données utilisateurs « sensibles » doivent l'être aussi.</span></p><p class="Standard"><span class="T5">Vous veillerez donc à filtrer ou assainir les données saisies par un utilisateur pour protéger votre application des « injections SQL » ou de la « faille XSS », ainsi qu'au cryptage des mots de passe et à l'utilisation de la technique des dossiers protégés.</span></p><p class="Standard"><span class="T5">Lorsqu'un utilisateur essayera d’accéder à une page non autorisée, il sera systématiquement averti du motif du refus.</span></p><p class="Standard"><span class="T5">L’application devra être développée selon l’architecture MVC et contenir un ou plusieurs script(s) client (javascript).</span></p><p class="Standard"><span class="T5">L’application pourra être développée (côté serveur) à l’aide du langage PHP en utilisant l’approche procédurale ou l’approche orientée objet.</span></p><p class="Standard"><span class="T5">Dans ce dernier cas, l’utilisation d’un framework est recommandée.</span></p><p class="P2"/><p class="Standard"><span class="T5">Ce n'est pas parce que vous avez buté sur un problème au cours du développement ou qu’une  rubrique de votre application « plante » pour une raison quelconque que vous ne devez pas présenter la défense orale.</span></p><p class="Standard"><span class="T5">Celle-ci fait partie de l'évaluation et peut vous aider....</span></p><p class="Standard"><span class="T5">L'ajout de fonctionnalités supplémentaires « intéressantes » ne peut avoir qu'un impact favorable sur l'évaluation finale, mais l'absence de celles-ci n'a par contre aucun impact défavorable sur cette même évaluation.</span></p><p class="P2"> </p><p class="Standard"><span class="T5">Bon travail à tous.</span></p></body></html>
